/**
 * 
 */
package de.frankmuenster.jameica.orverw.parts.labelpart.buttons;

import de.frankmuenster.jameica.orverw.parts.labelpart.LabelPartSectionsEnum;

/**
 * Der Listener f&uuml;r die Label Buttons. Er &uuml;bergibt den Bereich und den
 * Button der gedr&uuml;ckt wurde.
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public interface LabelButtonListener {

	/**
	 * notifies registered listener that a button was clicked
	 * 
	 * @param button
	 */
	void notifyInputButtonClicked(LabelPartSectionsEnum section,
			LabelPartButtonsEnum button);

}
